/*
 * 本时生活
 */

const app = getApp()

Page({

    /**
     * 页面的初始数据
     */
    data: {
        type        : '', //类型
        frozenData  : [], //数组列表
        blockeds    : '', //待发放金额
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad (options) {
        this.setData({
            type     : options.type,
            blockeds : options.blockeds
        })
        // 获取冻结列表
        this.frozenInfo()
    },

    /**
     * 冻结列表
     */
    frozenInfo() {
        wx.$api.user.ungrants(this.data.type).then(res=>{
            this.setData({
                frozenData: res.data
            })
        })
    }
})